Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.event
Class AxisChangeEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.chart.event.ChartChangeEvent
              org.jfree.chart.event.AxisChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class AxisChangeEvent

extends ChartChangeEvent

A change event that encapsulates information about a change to an axis.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AxisChangeEvent(Axis axis)` Creates a new AxisChangeEvent.

Method Summary
`Axis` | `getAxis()` Returns the axis that generated the event.

Methods inherited from class org.jfree.chart.event.ChartChangeEvent
`getChart, getType, setChart, setType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AxisChangeEvent

    public AxisChangeEvent(Axis axis)

  Creates a new AxisChangeEvent.

  Parameters:
    `axis` - the axis that generated the event.

Method Detail

### getAxis

    public Axis getAxis()

  Returns the axis that generated the event.

  Returns:
    The axis that generated the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.